# Method: projects.locations.securityCenterServices.get

- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/projects.locations.securityCenterServices/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/projects.locations.securityCenterServices/get#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/projects.locations.securityCenterServices/get#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/projects.locations.securityCenterServices/get#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/projects.locations.securityCenterServices/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/projects.locations.securityCenterServices/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/projects.locations.securityCenterServices/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/projects.locations.securityCenterServices/get#try-it)

Gets service settings for the specified Security Command Center service.

### HTTP request

`GET https://securitycentermanagement.googleapis.com/v1/{name=projects/*/locations/*/securityCenterServices/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The Security Command Center service to retrieve, in one of the following formats: - organizations/{organization}/locations/{location}/securityCenterServices/{service} - folders/{folder}/locations/{location}/securityCenterServices/{service} - projects/{project}/locations/{location}/securityCenterServices/{service} The following values are valid for `{service}`: - `container-threat-detection` - `event-threat-detection` - `security-health-analytics` - `vm-threat-detection` - `web-security-scanner` - `vm-threat-detection-aws` - `cloud-run-threat-detection` - `vm-manager` - `ec2-vulnerability-assessment` - `gce-vulnerability-assessment` - `azure-vulnerability-assessment` - `notebook-security-scanner` - `artifact-analysis` - `agent-engine-threat-detection` |

### Query parameters

| Parameters ||
|---|---|
| `showEligibleModulesOnly` | `boolean` Optional. Indicates whether to show only modules that are available in your Security Command Center service tier. By default, all modules are shown. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/security-center-management/rest/v1/folders.locations.securityCenterServices#SecurityCenterService`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `securitycentermanagement.securityCenterServices.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).